Built-in Parameter Types
========================

.. currentmodule:: pyqtgraph.parametertree.parameterTypes

Parameters
----------

.. autoclass:: SimpleParameter
   :members:

.. autoclass:: GroupParameter
   :members:

.. autoclass:: ListParameter
   :members:

.. autoclass:: TextParameter
   :members:

.. autoclass:: ActionParameter
   :members:

.. autoclass:: FileParameter
   :members:

.. autoclass:: CalendarParameter
   :members:

.. autoclass:: ProgressBarParameter
   :members:

.. autoclass:: FontParameter
   :members:

.. autoclass:: PenParameter
   :members:

.. autoclass:: SliderParameter
   :members:

ParameterItems
--------------

.. autoclass:: WidgetParameterItem
   :members:

.. autoclass:: GroupParameterItem
   :members:

.. autoclass:: ListParameterItem
   :members:

.. autoclass:: TextParameterItem
   :members:

.. autoclass:: FileParameterItem
   :members:

.. autoclass:: CalendarParameterItem
   :members:

.. autoclass:: ProgressBarParameterItem
   :members:

.. autoclass:: FontParameterItem
   :members:

.. autoclass:: PenParameterItem
   :members:

.. autoclass:: SliderParameterItem
   :members:
